/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EZBContainerLifeCycleCallback.java 9 2006-02-19 18:53:32Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.api;


/**
 * This interface should be implemented by users which want to be notified
 * at some lifecycle step of the container.
 * @author Florent Benoit
 */
public interface EZBContainerLifeCycleCallback {

    /**
     * Called when container is starting.
     * @param info some information on the container which is starting.
     */
    void start(EZBContainerCallbackInfo info);


    /**
     * Called when container is stopping.
     * @param info some information on the container which is stopping.
    */
    void stop(EZBContainerCallbackInfo info);
}
