/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SLSBStaticExternalInterceptor.java 146 2006-03-09 12:23:49Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.stateless.containermanaged.wrongspecification;

import javax.ejb.Interceptors;
import javax.ejb.Stateless;

import org.objectweb.easybeans.tests.common.ejbs.base.ItfOneMethod00;
import org.objectweb.easybeans.tests.common.interceptors.business.wrongspecification.StaticMethodInterceptor;


/**
 * This bean has an interceptor with static method modifier.
 * It isn't in agreement with the JSR220 - EJB 3.0 Spec.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 */
@Stateless
public class SLSBStaticExternalInterceptor implements ItfOneMethod00{

    /**
     * This method has an inteceptor with void return type.
     * @param i integer
     * @return null
     */
    @Interceptors({StaticMethodInterceptor.class})
    public Object doOne(final Integer i) {
        return null;
    }

}
