/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: VoidInterceptor.java 39 2006-02-23 16:33:19Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.interceptors.business.wrongspecification;

import javax.ejb.AroundInvoke;
import javax.ejb.InvocationContext;


/**
 * This class has an interceptor method that return void.
 * It isn't in agreement with the JSR220 - EJB 3.0 Spec.
 * @author Eduardo Studzinski Estima de Castro
 * @author Gisele Pinheiro Souza
 *
 */
public class VoidInterceptor {

    /**
     * This method causes an exception.
     * @param invocationContext contains attributes of invocation.
     * @throws Exception if invocation fails
     */
    @AroundInvoke
    public void doException(final InvocationContext invocationContext) throws Exception{
        throw new IllegalStateException(
                "This interceptor has void return. It's out of the specification.");
    }
}
